Bug 484154 - VTd: changeset 15 of 16: support interrupt remapping
VTd: changeset 15 of 16: support interrupt remapping
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: 5.4
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On: 484153
Blocks: 331741 484155
  Show dependency treegraph
 
Reported: 2009-02-04 19:18 EST by Don Dugger
Modified: 2014-07-24 23:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 10:30:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
support interrupt remapping (21.10 KB, patch)
2009-02-04 19:18 EST, Don Dugger
no flags Details | Diff

  None (edit)
Description Don Dugger 2009-02-04 19:18:18 EST
Created attachment 330949 [details]
support interrupt remapping

Description of patch:

implement interrupt remapping which is a VT-d2 feature.

remap interrupt for assigned device if such HW is detected on VT-d platforms.

For now only support interrupt remapping for IOAPIC. After MSI/MSI-x is
supported in RHEL5.4, interrupt remapping for MSI/MSI-x will be added


Upstream Status: Accepted (CS 17014, 17099)
Comment 1 Don Dugger 2009-02-05 10:30:26 EST
Process error, don't need a separate BZ per patch

Note You need to log in before you can comment on or make changes to this bug.